Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84430 - support for https repositories
Summary: support for https repositories
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: subversion
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-16 20:53 UTC by Radu Greab
Modified: 2007-04-18 16:51 UTC (History)
2 users (show)

Fixed In Version: 0.22.2-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-18 19:49:41 UTC


Attachments (Terms of Use)

Description Radu Greab 2003-02-16 20:53:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
It seems that, by default, neon is not built with support for SSL, thus
subversion can not access repositories through https.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install subversion-0.17.1-4503.0 and try to access a repository through https
2.
3.
    

Additional info:

In order to be built with SSL support neon's configure script needs the argument
"--with-ssl". If subversion.spec would be updated so that "--with-ssl" argument
is passed to %configure, then neon would be configured and built with SSL support.

Comment 1 Panu Matilainen 2003-02-25 18:42:57 UTC
Me too...
[pmatilai@chip proj]$ svn checkout
https://oops.kerneljanitors.org/repos/apt-rpmsvn: Bad URL passed to RA layer
svn: Unrecognized URL scheme: https://oops.kerneljanitors.org/repos/apt-rpm


Comment 2 Henrik Holmboe 2003-04-02 14:27:00 UTC
Id like to second this. Having builtin support for transport encryption was one
of the main reasons for me to move from CVS to SVN.

Comment 3 Joe Orton 2003-05-18 19:49:41 UTC
The bundled neon is built with SSL support in subversion-0.22.2-1.  Thanks for
the report.


Note You need to log in before you can comment on or make changes to this bug.